Создать cashout request в Core
POST
/api/v1/cashout/new
const url = 'https://core.example.com/api/v1/cashout/new';const options = { method: 'POST', headers: {'session-token': '<session-token>', 'Content-Type': 'application/json'}, body: '{"amount":1,"currency":"example","from_account_id":1,"to_account_id":1,"bank_account_id":1,"wallet_token":"example","description":"example","only_validates":false,"iban":"example","bic":"example","bank_name":"example","bank_address":"example","bank_address_2":"example","bank_address_3":"example","recipient":"example","recipient_address":"example","recipient_address_2":"example","recipient_address_3":"example","reference":"example","card_token":"example","attachments":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://core.example.com/api/v1/cashout/new \ --header 'Content-Type: application/json' \ --header 'session-token: <session-token>' \ --data '{ "amount": 1, "currency": "example", "from_account_id": 1, "to_account_id": 1, "bank_account_id": 1, "wallet_token": "example", "description": "example", "only_validates": false, "iban": "example", "bic": "example", "bank_name": "example", "bank_address": "example", "bank_address_2": "example", "bank_address_3": "example", "recipient": "example", "recipient_address": "example", "recipient_address_2": "example", "recipient_address_3": "example", "reference": "example", "card_token": "example", "attachments": [ "example" ] }'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела « Parameters »Query Parameters
Заголовок раздела «Query Parameters»segregated_account_id
integer
ID business account, к которому имеет доступ текущий пользователь
Request Bodyrequired
Заголовок раздела «Request Bodyrequired»object
amount
required
number format: double
currency
required
string
from_account_id
integer
to_account_id
integer
bank_account_id
integer
wallet_token
string
description
string
only_validates
boolean
iban
string
bic
string
bank_name
string
bank_address
string
bank_address_2
string
bank_address_3
string
recipient
string
recipient_address
string
recipient_address_2
string
recipient_address_3
string
reference
string
card_token
Legacy CNY cashout field
string
attachments
Array
object
amount
required
number format: double
currency
required
string
from_account_id
integer
to_account_id
integer
bank_account_id
integer
wallet_token
string
description
string
only_validates
boolean
iban
string
bic
string
bank_name
string
bank_address
string
bank_address_2
string
bank_address_3
string
recipient
string
recipient_address
string
recipient_address_2
string
recipient_address_3
string
reference
string
card_token
Legacy CNY cashout field
string
attachments
Array
attachments
Array<string>
Responses
Заголовок раздела « Responses »Успешный ответ
Media typeapplication/json
object
success
required
boolean
status
required
integer
key
additional properties
any
Example
{ "success": true, "status": 200}Ошибка авторизации, валидации или бизнес-правила
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}